# Swiss Post’s report in response to the expert reports of the 2023 examination

Swiss Post has developed an e-voting system with complete verifiability. The system was first used in the successful recent contest in the Cantons of Basel-Stadt, St. Gallen and Thurgau.

During the development period, Swiss Post was guided by the Swiss Confederation’s legal principles for e-voting trials and carried out work in close cooperation with the cantons. In order to improve the system on a continuous basis, Swiss Post also relies on the outside perspective of external experts from all over the world: as part of a community programme, it published all the core components and documents of the system over the course of 2021. Those who report confirmed vulnerabilities receive a financial reward as part of a “bug bounty programme”. Swiss Post regularly updates the status of the public scrutiny on its [e-voting blog](https://digital-solutions.post.ch/en/e-government/blog/new-findings-from-the-public-verification).

Additionally, the system was independently audited on behalf of the Federal Chancellery according to the requirements of the Ordinance on Electronic Voting (OEV, section 26 in these four areas: “Cryptographic protocol” (Scope 1), “System software” (Scope 2), “Security of infrastructure and operation” (Scope 3) and “Protection against attempts to infiltrate the infrastructure” (Scope 4). In February 2023, the Confederation and cantons included findings from the independent audit that were still pending at Swiss Post or in the cantons in [the catalogue of measures](https://www.bk.admin.ch/dam/bk/en/dokumente/pore/E_Voting/E-voting%20Catalogue%20of%20measures%20by%20the%20Confederation%20and%20cantons,%204%20August%202023.pdf.download.pdf/E-voting%20Catalogue%20of%20measures%20by%20the%20Confederation%20and%20cantons,%204%20August%202023.pdf) for the realignment of the 2020 e-voting trial operation.

Since February 2023, Swiss Post has made further improvements which have been reviewed again. [In the response report to all expert's reports](Examination-eVoting-System-Response-Swiss-Post_092023.pdf), Swiss Post summarizes the improvements that have already been implemented and specifies the findings that remain unaddressed, as well as whether and how they are to be rectified.


| **Scope**    | **Expert / Organisation**                     | **Report**                         |
|--------------|-----------------------------------------------|------------------------------------|
|Scope 1|Aleksander Essex|[Scope 1 Final Report Aleksander Essex 01.08.2023](https://www.bk.admin.ch/dam/bk/en/dokumente/pore/E_Voting/Examination_reports_August2023/Scope%201%20Final%20Report%20Aleksander%20Essex%2001.08.2023.pdf.download.pdf/Scope%201%20Final%20Report%20Aleksander%20Essex%2001.08.2023.pdf)|
|Scope 1|University of Surrey|[Scope 1 Final Report University of Surrey 30.06.2023](https://www.bk.admin.ch/dam/bk/en/dokumente/pore/E_Voting/Examination_reports_August2023/Scope%201%20Final%20Report%20University%20of%20Surrey%2030.06.2023.pdf.download.pdf/Scope%201%20Final%20Report%20University%20of%20Surrey%2030.06.2023.pdf)|
|Scopes 1 and 2|Bern University of Applied Sciences|[Scopes 1 and 2 Final Report BFH 30.06.2023](https://www.bk.admin.ch/dam/bk/en/dokumente/pore/E_Voting/Examination_reports_August2023/Scopes%201%20and%202%20Final%20Report%20BFH%2030.06.2023.pdf.download.pdf/Scopes%201%20and%202%20Final%20Report%20BFH%2030.06.2023.pdf)|
|Scopes 1 and 2|Thomas Haines, Olivier Pereira, Vanessa Teague|[Scopes 1 and 2 Final Report Thomas Haines, Olivier Pereira, Vanessa Teague 31.07.2023](https://www.bk.admin.ch/dam/bk/en/dokumente/pore/E_Voting/Examination_reports_August2023/Scopes%201%20and%202%20Final%20Report%20Thomas%20Haines,%20Olivier%20Pereira,%20Vanessa%20Teague%2031.07.2023.pdf.download.pdf/Scopes%201%20and%202%20Final%20Report%20Thomas%20Haines,%20Olivier%20Pereira,%20Vanessa%20Teague%2031.07.2023.pdf)|
|Scope 2|Objectif Sécurité|[Scope 2 (VCPS) Final Report Objectif Sécurité 11.08.2023](https://www.bk.admin.ch/dam/bk/en/dokumente/pore/E_Voting/Examination_reports_August2023/Scope%202%20(VCPS)%20Final%20Report%20Objectif%20S%C3%A9curit%C3%A9%2011.08.2023.pdf.download.pdf/Scope%202%20(VCPS)%20Final%20Report%20Objectif%20S%C3%A9curit%C3%A9%2011.08.2023.pdf)|
|Scope 2|Objectif Sécurité|[Scope 2 (DIS) Final Report Objectif Sécurité 09.08.2023](https://www.bk.admin.ch/dam/bk/en/dokumente/pore/E_Voting/Examination_reports_August2023/Scope%202%20(DIS)%20Final%20Report%20Objectif%20S%C3%A9curit%C3%A9%2009.08.2023.pdf.download.pdf/Scope%202%20(DIS)%20Final%20Report%20Objectif%20S%C3%A9curit%C3%A9%2009.08.2023.pdf)|
|Scope 2|Objectif Sécurité|[Scope 2 (Backend) Final Report Objectif Sécurité 09.08.2023](https://www.bk.admin.ch/dam/bk/en/dokumente/pore/E_Voting/Examination_reports_August2023/Scope%202%20(Backend)%20Final%20Report%20Objectif%20S%C3%A9curit%C3%A9%2009.08.2023.pdf.download.pdf/Scope%202%20(Backend)%20Final%20Report%20Objectif%20S%C3%A9curit%C3%A9%2009.08.2023.pdf)|
|Scope 2a|SCRT|[Scope 2a Final Report SCRT 04.08.2023](https://www.bk.admin.ch/dam/bk/en/dokumente/pore/E_Voting/Examination_reports_August2023/Scope%202a%20Final%20Report%20SCRT%2004.08.2023.pdf.download.pdf/Scope%202a%20Final%20Report%20SCRT%2004.08.2023.pdf)|
|Scope 3|SCRT|[Scope 3 (Post) Final Report SCRT 16.06.2023](https://www.bk.admin.ch/dam/bk/en/dokumente/pore/E_Voting/Examination_reports_August2023/Scope%203%20(Post)%20Final%20Report%20SCRT%2016.06.2023.pdf.download.pdf/Scope%203%20(Post)%20Final%20Report%20SCRT%2016.06.2023.pdf)|
|Scope 4|SCRT|[Scope 4 Final Report 14.04.2023](https://www.bk.admin.ch/dam/bk/en/dokumente/pore/E_Voting/Examination_reports_August2023/Scope%204%20Final%20Report%20SCRT%2014.04.2023.pdf.download.pdf/Scope%204%20Final%20Report%20SCRT%2014.04.2023.pdf)|
|Scope 4|SCRT|[Scope 4 Final Report 07.08.2023](https://www.bk.admin.ch/dam/bk/en/dokumente/pore/E_Voting/Examination_reports_August2023/Scope%204%20Final%20Report%20SCRT%2007.08.2023.pdf.download.pdf/Scope%204%20Final%20Report%20SCRT%2007.08.2023.pdf)|

